Results 1 to 6 of 6

Thread: Virtualbox 2.2 problem on opensuse 11.1

  1. #1

    Unhappy Virtualbox 2.2 problem on opensuse 11.1

    Hello, this is my first post in the forums, before i usually managed to get my answers using search, but apparently i'm out of luck this time. I just started fully using opensuse 11.1 for two months, and have been using xp since it's birth...
    I got a problem regarding virtualbox upgrade in opensuse 11.1, i used to use vbox 2.06, then two days ago i found out about the 2.2 version, i decided to upgrade it using 1 click install.

    I. First i removed the 2.0 ,then i used the package search for vbox 2.2 and do the 1 click install, but strangely, after instalation i tried to run vbox again, then i found out i got the 2.06 again and my virtual machines won't run even when i used /etc/init.d/vboxdrv setup .
    Since the repo is already included, i tried upgrading all the packages including virtualbox-ose-kmp-default & pae & trace. then yast outomatically included a new kernel if i'm not mistaken. But again no result, the virtual machines still won't start, unfortunately i forgot to write down the errors.

    II. now the real problem starts, when i tried to install it again, everytime it would only install the 2.06 version which now is not working too, and it won't even starts, instead it pops out this error
    ===============================
    Could not load the settings file '/root/.VirtualBox/VirtualBox.xml'.
    Cannot convert settings from version '1.7-linux'.
    The source version is not supported.


    Result Code:
    NS_ERROR_FAILURE (0x80004005)
    Component:
    VirtualBox
    Interface:
    IVirtualBox {557a07bc-e6ae-4520-a361-4a8493199137}
    ===============================================
    . when i tried to clean up everything, one file pops up a warning, it's virtualbox-ose-kmp-trace, it warned about this if i tried to remove it.
    ===================================
    downgrade of kernel-pae-base-2.6.27.21-0.1.2.i568 to kernel-pae-base2.6.27-9.1,i586
    downgrade of kernel-pae-2.6.27.21-0.1.2.i568 to kernel-pae-base2.6.27-9.1,i586
    downgrade of kernel-pae-extra-2.6.27.21-0.1.2.i568 to kernel-pae-base-extra-2.6.27-9.1,i586
    and something about dazuko...
    =================

    I have tried installing it manually too using the files from vbox site, both the rpm and the binary results in the following errors consecutively :
    1. Following packages haven't been found on the medium:
    VirtualBox, which results in nothing installed, it happens on every vbox version i tried, i also confirmed that it only happens on vbox files since i can install other things just by clicking on it as usual.
    2. Using the binary it creates an folder in system>emulators> and installs two things Virtual Machine (Sun Virtualbox) and Virtualbox OSE, which have different settings, the first does not recognize my previous settings, and the OSE does. both is vbox 2.2.
    Then after i tried it out, both results in the same error :

    ================
    Result Code:
    NS_ERROR_FAILURE (0x80004005)
    Component:
    Machine
    Interface:
    IMachine {13420cbb-175a-4456-85d0-301126dfdec7}

    Kernel driver not installed (rc=-1908)
    =======================================
    when i tried the /etc/init.d/vboxdrv setup, this happens :

    Recompiling VirtualBox kernel module failed
    (Look at /var/log/vbox-install.log to find out what went wrong)

    this is what appears in the log :

    Makefile:167: *** Error: unable to find the include directory for your current Linux kernel. Specify KERN_INCL=<directory> and run Make again. Stop.
    ======================

    I found out too in vbox forum that one ubuntu 8.10 user had the same error, and a member recomemded trying /etc/init.d/vboxdrv setup. but i do not know if it works for him or not since there are no reply.

    and now, in yast my vbox installation does not came up on search, but it still left the virtualbox-ose-kmp-trace, btw it's still for vbox 2.06 version file.


    Ok, to make it short, my question is this :
    1.If i remove it, meaning i do downgrade it, would it bust my suse ? I had format it back and forth to fix various errors before, and i'd rather not do it again for a while.
    2.Can anyone help me to fix the error ? i'm still quite new here, i don't know where the kernel is located yet.

    Please help me =( . I'm totally stuck here, and i need the vbox.

    i thought i already posted these, but i can't fin it on the forums, did i made i mistake ???

  2. #2

    Default Re: Virtualbox 2.2 problem on opensuse 11.1

    Do you have all the necessary packages installed?? (make, gcc and kernel-source? )
    How does a linux geek make love??

    - rtfm; unzip; strip; touch; finger; mount; fsck; more; yes; umount; zip; sleep;

  3. #3
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Virtualbox 2.2 problem on opensuse 11.1

    The PUEL version of Virtualbox 2.2 works fine with the latest official kernel (provided you have kernel-sources, gcc, and make installed) just fine. I never really liked the hassles that come with the OSE version.

  4. #4

    Post Update doesn't affect it

    Hi, thx for the attention, i tried updating as soon as i read your messages. But it doesn't affect anything i think, it's still saying :

    RTR3Init failed with rc=-1912 (rc=-1912)

    It may help to reinstall VirtualBox


    Result Code:
    NS_ERROR_FAILURE (0x80004005)
    Component:
    Machine
    Interface:
    IMachine {13420cbb-175a-4456-85d0-301126dfdec7}
    ================================

    regarding the log message, can anyone help me ? where's the kernel ??

    and when i tried to search in yast, the only vbox version that it found is 2.06, strange ? This is the technical data found in yast.


    virtualbox-ose - VirtualBox OSE is an Emulator


    Version:
    2.0.6-2.8.6
    Build Time:
    Thu 26 Feb 2009 03:47:18 AM CIT
    Package Group:
    System/Emulators/PC
    License:
    GPL v2 or later
    Installed Size:
    17.4 M
    Download Size:
    5.7 M
    Distribution:

    Vendor:
    openSUSE
    Packager:
    Submitting Bug Reports - openSUSE
    Architecture:
    i586
    Build Host:

    URL:
    VirtualBox
    Media No.:
    0
    Authors:
    innotek GmbH <info@innotek.de>

  5. #5

    Default Re: Virtualbox 2.2 problem on opensuse 11.1

    Just uninstall everything with virtualbox in it's name. And install VirtualBox from sun's website. You get USB support there at least and it installs without problems (you need to have make, gcc and kernel-source).
    How does a linux geek make love??

    - rtfm; unzip; strip; touch; finger; mount; fsck; more; yes; umount; zip; sleep;

  6. #6

    Talking Re: Virtualbox 2.2 problem on opensuse 11.1

    well, right now i managed to clean it up from yast, but i don't know why, but the previous two instalation i mentioned in the latter part of my first post still lingers in my system. It's not even mentioned when i searched for it in yast. but strangely, the vbox OSE in it has changed to the newest version, 2.2, and when i tried to install it this shows up :

    Subprocess failed. Error: RPM failed: An old installation of VirtualBox was found. To install this package the
    old package has to be removed first. Have a look at /etc/vbox/vbox.cfg to
    determine the installation directory of the previous installation. After
    uninstalling the old package remove the file /etc/vbox/vbox.cfg.
    error: %pre(VirtualBox-2.2.0_45846_openSUSE111-1.i586) scriptlet failed, exit status 1
    error: install: %pre scriptlet failed (2), skipping VirtualBox-2.2.0_45846_openSUSE111-1

    ---

    any idea how to remove the old instalation ?

    =====================================

    that was what i intended to post, but after i tried updating the nvidia driver, removing the vbox.cfg, and reinstalling vbox via yast, it finally runs again. The one which was able to run again was the vbox version which carries my previous settings, so all is well now, thx. for the attention folks

    can anyone mark this as solved ? maybe it could be usefull for someone, well, it took a lot of time to resolve, and usually i take the shortcut, formatting...

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •